/*
 * $Id: ConfigElement.java,v 1.1 2005/04/11 16:33:29 sugimotokenichi Exp $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2005/04/10
 */
package feat.v1.config;

import feat.v1.InitializationException;

/**
 * 設定ファイルの要素に共通のインタフェース。
 * @author SUGIMOTO Ken-ichi
 */
public interface ConfigElement {

    public void init() throws InitializationException;

    public void validate() throws InitializationException;

    public String getName();
}
